Mailinglist Archive: opensuse-packaging (202 mails)

< Previous Next >
[opensuse-packaging] Adding useful Provides to cups drivers (with python-cups)
Hi,

I just updated python-cups to a new version, and it is now shipping
files to automatically add Provides tag to packages that are shipping
cups drivers (thanks to the new rpm 4.9).

It's matching those files:
%__psdriver_path ^(/usr/lib/cups/driver/.*|%{_datadir}/cups/drv/.*\.drv)$
%__psdriver_magic ^PPD file.*$

It'd be cool to have all our packages that are shipping drivers for cups
use this. It's just a matter of adding a python-cups BuildRequires.

For instance, for gutenprint, this would add Provides like this:
postscriptdriver(hp;photosmart_100;)

This will enable configuration tools to know which package to install,
if one is needed, when configuring a printer.

I've submitted the change to gutenprint, so you can take a look at it to
if you need to change another package in a similar way (but it's really
easy): https://build.opensuse.org/request/show/71723

There are likely other packages than gutenprint that should be changed,
and I don't know which ones, so I'd appreciate if others could do this
or at least tell me which packages to change.

Cheers,

Vincent

--
Les gens heureux ne sont pas press├ęs.
--
To unsubscribe, e-mail: opensuse-packaging+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse-packaging+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups